Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153140 - CAN-2005-0524 PHP getimagesize() Multiple Denial of Service Vulnerabilities CAN-2005-0525
Summary: CAN-2005-0524 PHP getimagesize() Multiple Denial of Service Vulnerabilities C...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: impact=moderate,public=20050331,repor...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 19:58 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-28 18:53:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:405 high SHIPPED_LIVE Moderate: PHP security update 2005-04-28 04:00:00 UTC
Red Hat Product Errata RHSA-2005:406 high SHIPPED_LIVE Moderate: PHP security update 2005-05-04 04:00:00 UTC

Description Josh Bressers 2005-04-01 19:58:10 UTC
Remote exploitation of multiple denial of service vulnerabilities in
the PHP Group's PHP scripting language allows attackers to consume CPU
resources. The vulnerable routines, php_handle_iff() and
php_handle_jpeg(), are reachable from the PHP function getimagesize(),
which is defined as follows:

    array getimagesize ( string filename [, array &imageinfo] )

More information is here:
http://www.idefense.com/application/poi/display?id=222&type=vulnerabilities

Comment 1 Josh Bressers 2005-04-01 19:59:05 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 2 Christopher McCrory 2005-04-06 14:59:54 UTC
Is it possible to put your QA build on people.RH/ ?



Comment 3 Josh Bressers 2005-04-11 12:25:13 UTC
Joe,

Can you coment if this affects RHEL2.1? The CVE description says it only affects
PHP 4.2.2, 4.3.9, 4.3.10 and 5.0.3.  We ship 4.1.2-2.2 in RHEL2.1.

Comment 4 Joe Orton 2005-04-11 12:51:29 UTC
Josh: from review; no, this does not affect the RHEL2.1 getimagesize function.

Comment 5 Joe Orton 2005-04-22 15:51:07 UTC
Chris, test packages are now available from here:

http://people.redhat.com/jorton/Taroon-php/
http://people.redhat.com/jorton/Nahant-php/




Comment 6 Christopher McCrory 2005-04-27 16:53:55 UTC
FWIW, two days on our devel platform (taroon) and no problems



Comment 7 Josh Bressers 2005-04-28 18:53:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-405.html


Comment 8 Josh Bressers 2005-05-04 15:09:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-406.html



Note You need to log in before you can comment on or make changes to this bug.